# Class: Example.Plant

Defined in: | node_modules/grunt-codo/test/fixtures/custom/plant.coffee

## Overview

Base class for all plants.

### Examples:

#### How to subclass an plant

    class Tree extends plant
      grow: ( speed ) ->

## Instance Method Summary

- # (void) grow(options = {}) Make the plant grow.
- # (void) clone()

## Constructor Details

# (void) constructor(name, birthDate = new Date())

Construct a new plant.

### Parameters:

- name ( `String` ) — the name of the plant
- birthDate ( `Date` ) — when the plant was born

## Instance Method Details

# (void) grow(options = {})

Make the plant grow.

### Examples:

#### Grow a plant

    new Tree( 'Yggdrasil' ).grow( 1 )

### Options Hash: (options):

- speed ( `Number` ) — the growth in cm

# (void) clone()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input